@font-face {
    font-family: Open-Sans;
    src: url("../fonts/Open-Sans.ttf");
}

:root {
    --swiper-theme-color: #ff186b !important;
}

body {
    font-family: "Microsoft YaHei";
    /*background-color: #f6f6fb;*/
}

a {
    color: inherit;
}

a:hover,
a:focus,
a:active,
a.active {
    color: #ff186b;
    text-decoration: none;
}

.skin-color {
    color: #ff186b;
}

.color-grey {
    color: grey;
}

.line-height-2em {
    line-height: 2em;
}

.line-height-2p5em {
    line-height: 2.5em;
}

.line-height-3em {
    line-height: 3em;
}

.rich-text {
    line-height: 2em;
}

.rich-text img {
    max-width: 100%;
}

button {
    background-color: transparent;
}

.btn {
    box-shadow: none !important;
    outline: none !important;
}

.btn-link {
    color: #ff186b !important;
}

.btn-default {
    border-color: #dedede !important;
}

.btn-default.active,
.btn-default.active:hover,
.btn-default.active:focus,
.btn-default.active:active {
    color: #fff !important;
    background-color: #ff186b !important;
    border-color: #ff186b !important;
}

.btn-primary {
    background-color: #ff186b;
    border-color: #ff186b;
}

.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active,
.btn-primary:focus:active,
.btn-primary.active {
    background-color: #d41359;
    border-color: #d41359;
}

.btn.select-btn {
    margin-right: 10px;
    margin-bottom: 10px;
}

.btn.btn-round {
    border-radius: 17px;
}

.btn-lg {
    font-size: inherit;
    height: 46px;
    line-height: 1.7em;
}

.input-lg {
    font-size: inherit;
}

.form-control {
    border-color: #dedede !important;
    box-shadow: none !important;
}

.select-box {
    border: 1px solid #dedede;
    border-radius: 6px;
    padding-right: 10px;
}

.select-box[disabled] {
    background-color: #eee;
    cursor: not-allowed;
}

.select-box select {
    border: none;
}

.switch-language-currency-btn {
    position: relative;
}

.switch-language-currency-btn .out-btn {
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 16px;
}

.switch-language-currency-btn .downmenu-out {
    position: absolute;
    left: 0;
    padding-top: 15px;
    display: none;
}

.switch-language-currency-btn:hover .downmenu-out {
    display: block;
}

.switch-language-currency-btn .downmenu {
    background-color: #fff;
    text-align: left;
    width: 260px;
    box-shadow: 0 1px .15625vw 0 rgba(0, 0, 0, .1);
}

.switch-language-currency-btn .downmenu .btn {
    margin-right: 10px;
    margin-bottom: 10px;
}

.switch-language-currency-btn .downmenu .btn .icon {
    height: 14px;
    vertical-align: text-bottom;
}

.switch-language-currency-btn .downmenu .btn-default.active {
    color: #ff186b;
    border-color: #ff186b !important;
    background-color: #fff;
    box-shadow: none;
}

.pagination > li > a, .pagination > li > span {
    color: #ff186b;
}

.pagination > li > a:focus, .pagination > li > a:hover, .pagination > li > span:focus, .pagination > li > span:hover {
    color: #ff186b;
}

.pagination > .active > a, .pagination > .active > a:focus, .pagination > .active > a:hover, .pagination > .active > span, .pagination > .active > span:focus, .pagination > .active > span:hover {
    background-color: #ff186b;
    border-color: #ff186b;
}

.media {
    display: flex;
}

.text-row-ellipsis {
    display: block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.text-paragraph-2-ellipsis {
    word-break: break-all;
    text-overflow: ellipsis;
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
}

.area-overflow-x-auto {
    overflow-x: auto;
}

.min-width-900 {
    min-width: 900px;
}

.min-width-750 {
    min-width: 750px;
}

.min-width-500 {
    min-width: 500px;
}

.page-title {
    margin-bottom: 20px;
}

.page-title .text {
    font-size: 24px;
}

.page-loading-mask {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.2);
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;
    user-select: none;
}

.page-loading-mask .loading-round {
    border: 6px solid #aaa;
    width: 4rem;
    height: 4rem;
    border-radius: 50%;
    border-left-color: #ff186b;
    animation: loading-round-animation 1s linear infinite;
    margin: 0 auto;
}

@keyframes loading-round-animation {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.empty-area {
    padding: 4em;
    text-align: center;
}

.loading-area {
    padding: 4em;
    text-align: center;
}

.split-line {
    height: 1px;
    background-color: #dddd;
    margin-bottom: 20px;
}

.step-list-block {
    display: flex;
    justify-content: space-between;
    list-style: none;
    padding: 0;
    margin: 0;
}

.step-list-block li {
    position: relative;
    flex: 1;
}

.step-list-block li:before {
    content: '';
    position: absolute;
    left: 0;
    top: 14px;
    width: 50%;
    height: 4px;
    background-color: #ccc;
}

.step-list-block li:first-child:before {
    display: none;
}

.step-list-block li.active:before {
    background-color: #ff186b;
}

.step-list-block li:after {
    content: '';
    position: absolute;
    left: 50%;
    top: 14px;
    width: 50%;
    height: 4px;
    background-color: #ccc;
}

.step-list-block li:last-child:after {
    display: none;
}

.step-list-block li.active:after {
    background-color: #ff186b;
}

.step-list-block li .num {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 18px;
    width: 30px;
    height: 30px;
    color: #fff;
    background-color: #ccc;
    border-radius: 50%;
    margin: 0 auto 10px auto;
    z-index: 1;
}

.step-list-block li.active .num {
    background-color: #ff186b;
}

.step-list-block li .text {
    text-align: center;
    font-weight: bold;
}

.panel-default {
    border: 1px solid #dedede;
    border-radius: 10px;
}

.panel-default > .panel-heading {
    background-color: transparent;
}

.panel-box {
    padding: 16px;
    background-color: #fff;
    border-radius: 10px;
    margin-bottom: 20px;
}

.panel-box.bordered {
    border: 1px solid #dedede;
}

.panel-box.no-padding {
    padding: 0;
}

.panel-box > *:first-child {
    margin-top: 0;
}

.panel-box > *:last-child {
    margin-bottom: 0;
}

.form-required::before {
    content: '*';
    color: #f44336;
    margin-right: 4px;
}

#app .has-error .control-label {
    color: #f44336;
}

#app .has-error .form-control {
    border-color: #f44336;
}

#app .has-error .help-block {
    color: #f44336;
}

.chosen-container-single .chosen-single {
    height: 36px !important;
    background: none !important;
    border-color: #ccc !important;
    box-shadow: none !important;
    padding-left: 12px !important;
}

.chosen-container-single .chosen-single span {
    line-height: 36px;
}

.chosen-container-single .chosen-single div b {
    background-position-y: 8px !important;
}

.number-input-group {
    width: 140px;
}

.display-block {
    display: block !important;
}

.row-auto-scroll-with-btn {
    display: flex;
    margin-bottom: 20px;
}

.row-auto-scroll-with-btn .scroll-left-btn {
    margin-right: 15px;
    background-color: transparent;
    font-size: 18px;
}

.row-auto-scroll-with-btn .scroll-right-btn {
    margin-left: 15px;
    background-color: transparent;
    font-size: 18px;
}

.row-auto-scroll-with-btn .wrapper {
    flex: 1;
    overflow-x: auto;
    scrollbar-width: none;
}

.row-auto-scroll-with-btn .wrapper::-webkit-scrollbar {
    display: none;
}

.row-auto-scroll-with-btn .wrapper .wrapper-inner {
    min-width: max-content;
}

.app-page-header {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    z-index: 1000;
    background-color: #fff;
    box-shadow: 0 1px .15625vw 0 rgba(0, 0, 0, .1);
    transition: all 0.3s;
}

.app-page-header.transparent:not(.scrolled) {
    background-color: transparent;
    box-shadow: none;
}

.app-page-header .header-middle {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 14px 0;
}

.app-page-header .header-middle .left-col {
    display: flex;
    align-items: center;
}

.app-page-header .header-middle .right-col {
    display: flex;
    align-items: center;
}

.app-page-header .header-middle .logo {
}

.app-page-header .header-middle .main-menus {
    display: flex;
    gap: 30px;
    margin-left: 50px;
}

.app-page-header .header-middle .main-menus .menu-item {
    position: relative;
}

.app-page-header .header-middle .main-menus .menu-item .out-text {
    display: block;
    font-size: 16px;
    min-width: max-content;
}

.app-page-header .header-middle .main-menus .menu-item .downmenu-out {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    padding-top: 10px;
    display: none;
}

.app-page-header .header-middle .main-menus .menu-item:hover .downmenu-out {
    display: block;
}

.app-page-header .header-middle .main-menus .menu-item .downmenu {
    min-width: max-content;
    padding-top: 10px;
    padding-bottom: 10px;
    background-color: #fff;
    box-shadow: 0 1px .15625vw 0 rgba(0, 0, 0, .1);
}

.app-page-header .header-middle .main-menus .menu-item .downmenu .menu-item {
    padding: 6px 0;
}

.super-search-box .search-form {
    display: flex;
    align-items: center;
    border-radius: 25px;
    border: 1px solid #dedede;
    background-color: #fff;
    padding: 0 5px 0 10px;
    height: 50px;
}

.super-search-box .search-form .input-group-btn {
    width: auto;
    height: 100%;
}

.super-search-box .search-form .btn {
    height: 100% !important;
    border: none;
    background-color: transparent;
}

.super-search-box .search-form .form-control {
    height: 100% !important;
    border: none;
    background-color: transparent;
}

.super-search-box .search-form .category-btn:hover {
    color: #333 !important;
}

.super-search-box .search-form .search-by-image-btn img {
    height: 20px;
}

.super-search-box .search-form .search-by-image-btn .load {
    display: none;
}

.super-search-box .search-form .search-by-image-btn.uploading .camera {
    display: none;
}

.super-search-box .search-form .search-by-image-btn.uploading .load {
    display: block;
}

.super-search-box .search-form .search-btn img {
    height: 20px;
}

.app-page-header .header-middle .super-search-box {
    width: 300px;
}

.app-page-header.transparent:not(.scrolled) .header-middle .super-search-box {
    visibility: hidden;
}

.app-page-header .header-middle .super-search-box .search-form {
    border-color: transparent;
    background-color: #f6f6fb;
}

.app-page-header .header-middle .super-search-box .search-form.focus {
    border-color: #333;
}

.app-page-header .header-middle .opt-btns {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-left: 30px;
}

.app-page-header .header-middle .opt-btns .btn-item {
}

.app-page-header .header-middle .opt-btns .btn-item.user-btn {
    position: relative;
}

.app-page-header .header-middle .opt-btns .btn-item.user-btn .out-text img {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    background-color: #ffedf4;
    padding: 4px;
}

.app-page-header .header-middle .opt-btns .btn-item.user-btn .downmenu-out {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    padding-top: 10px;
    display: none;
}

.app-page-header .header-middle .opt-btns .btn-item.user-btn:hover .downmenu-out {
    display: block;
}

.app-page-header .header-middle .opt-btns .btn-item.user-btn .downmenu {
    min-width: max-content;
    padding-top: 10px;
    padding-bottom: 10px;
    background-color: #fff;
    box-shadow: 0 1px .15625vw 0 rgba(0, 0, 0, .1);
}

.app-page-header .header-middle .opt-btns .btn-item.user-btn .downmenu .item {
    padding: 8px 0;
}

.app-page-header-placeholder {
    height: 88px;
    margin-bottom: 30px;
}

.app-page-header-hamburg-dropdown-window {
    position: fixed;
    top: 123px;
    left: 0;
    width: 100%;
    height: calc(100% - 123px);
    z-index: 100;
    background-color: #fff;
    display: none;
}

.app-page-header-hamburg-dropdown-window .inner {
    height: 100%;
    padding: 20px 0;
    overflow: auto;
}

.app-page-header-hamburg-dropdown-window .menus {
    line-height: 2.5em;
    font-size: 18px;
    overflow: hidden;
}

.app-page-header-hamburg-dropdown-window .menus .menu-item {
    padding-left: 1em;
}

.app-page-header-hamburg-dropdown-window .menus .menu-item .out-text {
    position: relative;
}

.app-page-header-hamburg-dropdown-window .menus .menu-item .out-text .text {
    display: inline-block;
    width: 100%;
}

.app-page-header-hamburg-dropdown-window .menus .menu-item .out-text .triangle {
    position: absolute;
    right: 0;
    top: 0;
    width: 48px;
    line-height: 48px;
    text-align: center;
}

.app-page-header-hamburg-dropdown-window .menus .menu-item .out-text .triangle .fa:before {
    content: "\f078";
}

.app-page-header-hamburg-dropdown-window .menus .menu-item.open-menus > .out-text .triangle .fa:before {
    content: "\f077";
}

.app-page-header-hamburg-dropdown-window .menus .menu-item .menus {
    height: 0;
}

.app-page-header-hamburg-dropdown-window .menus .menu-item.open-menus > .menus {
    height: auto;
}

.app-page-header-hamburg-dropdown-window .capsule-menus .btn {
    margin-bottom: 20px;
}

.app-page-footer {
    background-color: #111;
    margin-top: 30px;
}

.app-page-footer .footer-top {
    padding: 40px 0;
}

.app-page-footer .footer-top .content-header {
    color: #fff;
    margin-bottom: 20px;
}

.app-page-footer .footer-top .content-list .content-item {
    color: #999;
    margin-bottom: 10px;
    line-height: 1.8em;
}

.app-page-footer .footer-top .content-list .content-item:last-child {
    margin-bottom: 0;
}

.app-page-footer .footer-bottom {
    display: flex;
    justify-content: space-between;
    padding: 25px 0;
    color: #999;
    border-top: 1px solid #333;
}

.app-page-footer .footer-bottom .links {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
}

.app-page-content {
    min-height: calc(100vh - 300px);
}

.app-page-top-image {
    margin-bottom: 30px;
}

.app-page-top-image .bg {
    width: 100%;
    height: 100%;
    min-height: 200px;
    object-fit: cover;
}

.panel-box.article-list-panel-box .article-list {
}

.panel-box.article-list-panel-box .article-list .article-item {
    padding: 1em 0;
    border-bottom: 1px solid #ddd;
}

.panel-box.article-list-panel-box .article-list .article-item:last-child {
    border-bottom: 0;
}

.panel-box.article-list-panel-box .article-list .article-item .text-row-ellipsis {
    display: block;
}

.panel-box.article-info-panel-box {
    padding-top: 40px;
    padding-bottom: 40px;
}

.panel-box.article-info-panel-box .title {
    font-size: 24px;
    text-align: center;
}

.panel-box.article-info-panel-box .time {
    text-align: center;
    margin: 1em 0;
}

.panel-box.article-info-panel-box .content {
    color: #555;
    min-height: 300px;
}

.panel-box.article-info-panel-box .content img {
    max-width: 100%;
}

.product-search-filter-panel {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 20px;
}

.product-search-filter-panel .shoppings {
    display: flex;
    align-items: center;
    row-gap: 20px;
    column-gap: 30px;
    flex-wrap: wrap;
}

.product-search-filter-panel .shoppings img {
    height: 30px;
}

.product-search-filter-panel .filter-form {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
}

.product-search-filter-panel .filter-form .form-group {
    margin-bottom: 0;
}

.product-search-filter-panel .filter-form .form-group * {
    display: inline-block;
}

.product-search-filter-panel .filter-form .form-group input.form-control {
    width: 70px;
}

.product-search-filter-panel .filter-form .form-group select.form-control {
    width: 130px;
}

.left-menus-panel {
    padding-top: 0;
    background-color: transparent;
}

.left-menus-panel .cat-item {
    /*margin-bottom: 1em;*/
}

.left-menus-panel .cat-item .cat-title {
    font-weight: bold;
    padding: 10px;
}

.left-menus-panel .cat-item .cat-menus {
    color: #666;
}

.left-menus-panel .cat-item .cat-menus .menu-item a {
    display: block;
    word-break: break-all;
    padding: 10px;
}

.left-menus-panel .cat-item .cat-menus .menu-item a:hover {
    background-color: #fff;
}

.page-pagination-block {
    display: flex;
    justify-content: center;
}

.page-pagination-block .pagination {
    margin-top: 0;
}

.product-category-breadcrumb {
    padding-top: 0;
    padding-bottom: 0;
    background-color: transparent;
    line-height: 2em;
}

.product-category-breadcrumb a {
    color: #ff186b;
}

.product-category-breadcrumb > li:last-child {
    font-weight: bold;
}

.product-category-breadcrumb > li + li:before {
    content: '>';
}

.page-left-right-layout {
    margin-left: -10px;
    margin-right: -10px;
}

.page-left-right-layout .left-column {
    padding-left: 10px;
    padding-right: 10px;
}

.page-left-right-layout .right-column {
    padding-left: 10px;
    padding-right: 10px;
}

.index-page {
}

.index-page .hero-block {
    position: relative;
    padding: 138px 0 50px 0;
    margin-bottom: 80px;
}

.index-page .hero-block .bg {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
}

.index-page .hero-block .bg img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.index-page .hero-block .main-title {
    font-size: 48px;
    font-weight: bold;
    margin-bottom: 15px;
    text-align: center;
}

.index-page .hero-block .main-title2 {
    font-size: 24px;
    color: #666;
    margin-bottom: 30px;
    text-align: center;
}


.index-page .hero-block .super-search-box .search-form {
    height: 60px;
    border-radius: 30px;
    border: 2px solid #333;
}

.index-page .hero-block .super-search-box .search-form .search-btn {
    color: #fff;
    height: calc(100% - 10px) !important;
    background-color: #ff186b;
    border-radius: 23px;
    margin-left: 10px;
    padding-left: 20px;
    padding-right: 20px;
}

.index-page .hero-block .recommend {
    display: flex;
    gap: 16px;
    margin-top: 12px;
}

.index-page .hero-block .recommend a {
    display: flex;
    align-items: center;
    padding: 5px 14px;
    border-radius: 19px;
    background-color: #fff;
}

.index-page .hero-block .recommend a.active {
    color: #fff;
    background-color: #333;
}

.index-page .hero-block .recommend a img {
    width: 26px;
    margin-right: 5px;
}

.index-page .hero-block .process {
    display: flex;
    justify-content: center;
    align-items: flex-start;
}

.index-page .hero-block .process .process-item {
    text-align: center;
    max-width: 160px;
}

.index-page .hero-block .process .process-item .icon {
    color: #bc925a;
    font-size: 32px;
    line-height: 1em;
    margin-bottom: 10px;
}

.index-page .hero-block .process .process-item .title {
    color: #bc925a;
    font-size: 16px;
    margin-bottom: 2px;
}

.index-page .hero-block .process .process-item .subtitle {
    color: #bc925a;
    font-size: 12px;
}

.index-page .hero-block .process .line-item {
    display: flex;
    align-items: center;
    width: 70px;
    margin: 54px 20px 0 20px;
}

.index-page .hero-block .process .line-item .dot {
    width: 4px;
    height: 4px;
    border-radius: 50%;
    background-color: #bc925a;
}

.index-page .hero-block .process .line-item .line {
    width: calc(100% - 8px);
    height: 2px;
    background-color: #d9ba77;
}

.index-page .module-header {
    font-size: 38px;
    font-weight: bold;
    margin-top: 0;
    margin-bottom: 50px;
    text-align: center;
}

.index-page .products-by-categories-module {
    margin-bottom: 50px;
}

.index-page .products-by-categories-module .row-auto-scroll-with-btn {
    margin-bottom: 30px;
}

.index-page .products-by-categories-module .category-btns {
    display: flex;
    gap: 10px;
}

.index-page .products-by-categories-module .category-btns .btn {
    font-size: 16px;
    color: #666;
}

.index-page .our-service-process {
    margin-bottom: 50px;
}

.index-page .our-service-process .process {
    display: flex;
    align-items: flex-start;
    gap: 40px;
}

.index-page .our-service-process .process .process-item {
    text-align: center;
    flex: 1;
}

.index-page .our-service-process .process .process-item .icon {
    margin-bottom: 30px;
}

.index-page .our-service-process .process .process-item .icon img {
    width: 90px;
}

.index-page .our-service-process .process .process-item .title {
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 20px;
}

.index-page .our-service-process .process .process-item .desc {
    color: #666;
    line-height: 1.8em;
}

.index-page .our-service-process .process .arrow-item {
    padding-top: 35px;
}

.index-page .our-service-process .process .arrow-item img {
    width: 24px;
}

/** 商品列表 **/
.grid-product-list {
    display: flex;
    flex-wrap: wrap;
    margin-left: -7px;
    margin-right: -7px;
}

.grid-product-list > .col {
    padding-left: 7px;
    padding-right: 7px;
}

.grid-product-list .product-item {
    background-color: #fff;
    margin-bottom: 30px;
    /*padding: 20px 10px;
    border-radius: 4px;
    border: 1px solid #ddd;*/
    transition: all 0.3s;
}

.grid-product-list .product-item:hover {
    transform: translateY(-5px);
}

.grid-product-list .product-item .thumb {
    display: block;
    aspect-ratio: 1;
    margin-bottom: 20px;
    border-radius: 10px;
    overflow: hidden;
}

.grid-product-list .product-item .thumb img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.grid-product-list .product-item .title {
    line-height: 20px;
    margin-bottom: 10px;
    height: 40px;

    word-break: break-all;
    text-overflow: ellipsis;
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
}

.grid-product-list .product-item .title a:hover {
    text-decoration: underline;
}

.grid-product-list .product-item .title .shopping-icon {
    height: 20px;
    border-radius: 4px;
    vertical-align: bottom;
}

.grid-product-list .product-item .price {
    font-size: 18px;
}

.search-page .left-filter-panel-box {
}

.search-page .left-filter-panel-box .header {
    display: flex;
    justify-content: space-between;
}

.search-page .left-filter-panel-box .header .down {
    background-color: transparent;
    border: none;
    display: none;
}

.search-page .left-filter-panel-box .list {
    overflow: hidden;
    line-height: 40px;
    margin-top: 14px;
}

.search-page .left-filter-panel-box .list .item {
    display: block;
}

.search-page .left-filter-panel-box .list .item:hover {
    color: #ff186b;
}

.product-page .product-panel-box {
    /*padding: 40px;*/
}

.product-page .product-panel-box .product-title {
    font-size: 20px;
    font-weight: bold;
    line-height: inherit;
    margin: 0 0 20px 0;
}

.product-page .product-panel-box .product-title .shopping-icon {
    height: 30px;
    border-radius: 4px;
    vertical-align: bottom;
}

.product-page .product-gallery-block {
    display: flex;
    flex-direction: row-reverse;
    gap: 10px;
    user-select: none;
    margin-bottom: 20px;
}

.product-page .product-gallery-block .big-img-swiper {
    width: calc(100% - 110px);
    aspect-ratio: 1;
    border-radius: 10px;
}

.product-page .product-gallery-block .big-img-swiper .swiper-slide img {
    width: 100%;
    aspect-ratio: 1;
    object-fit: cover;
}

.product-page .product-gallery-block .thumb-swiper {
    width: 100px;
    aspect-ratio: 1;
}

.product-page .product-gallery-block .thumb-swiper .swiper-slide {
    border: 2px solid transparent;
    border-radius: 8px;
    overflow: hidden;
}

.product-page .product-gallery-block .thumb-swiper .swiper-slide.swiper-slide-thumb-active {
    border-color: #ff186b;
}

.product-page .product-gallery-block .thumb-swiper .swiper-slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.product-page .product-gallery-block-bottom {
    padding-left: 110px;
    margin-bottom: 30px;
}

.product-page .product-main-panel:not(.fixed-screen) {
    padding: 0;
}

.product-page .product-main-panel.fixed-screen {
    position: fixed;
    bottom: 30px;
    max-height: calc(100vh - 150px);
    overflow-y: auto;
    z-index: 100;
    box-shadow: 0 4px 16px 0 rgba(0, 0, 0, .2);
}

.product-page .product-main-panel .collect-btn {
    text-align: center;
}

.product-page .product-main-panel .collect-btn .icon {
    font-size: 24px;
    line-height: 1em;
    margin-bottom: 4px;
}

.product-page .product-main-panel .collect-btn .icon .fa-star {
    display: none;
}

.product-page .product-main-panel .collect-btn.collected .icon .fa-star-o {
    display: none;
}

.product-page .product-main-panel .collect-btn.collected .icon .fa-star {
    display: block;
}

.product-page .product-main-panel .collect-btn .text {
    font-size: 12px;
}

.product-page .product-main-panel.fixed-screen .product-link-dl-row {
    display: none;
}

.product-page .product-main-panel .dl-row {
}

.product-page .product-main-panel .dl-row > dt {
    font-size: 16px;
    margin-bottom: 10px;
}

.product-page .product-main-panel .price-dl-row .big {
    font-size: 32px;
}

.product-page .product-main-panel .daigou-info-dl-row {
}

.product-page .product-main-panel.fixed-screen .daigou-info-dl-row {
    display: none;
}

.product-page .product-main-panel .daigou-info-dl-row dt {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.product-page .product-main-panel .daigou-info-dl-row dt small {
    font-weight: normal;
}

.product-page .product-main-panel .daigou-info-dl-row .panel-box {
    overflow: hidden;
    background-color: #fafafa;
    margin-bottom: 0;
}

.product-page .product-main-panel .daigou-info-dl-row .panel-box .process {
    list-style: none;
    padding-left: 24px;
}

.product-page .product-main-panel .daigou-info-dl-row .panel-box .process li {
    position: relative;
    margin-bottom: 20px;
}

.product-page .product-main-panel .daigou-info-dl-row .panel-box .process li:last-child {
    margin-bottom: 0;
}

.product-page .product-main-panel .daigou-info-dl-row .panel-box .process li:before {
    position: absolute;
    left: -17px;
    top: 22px;
    content: '';
    height: 100%;
    border-right: 1px dashed #ff186b;
}

.product-page .product-main-panel .daigou-info-dl-row .panel-box .process li:last-child:before {
    display: none;
}

.product-page .product-main-panel .daigou-info-dl-row .panel-box .process li .number {
    position: absolute;
    left: -24px;
    top: 4px;
    color: #fff;
    background-color: #ff186b;
    font-size: 12px;
    width: 15px;
    height: 15px;
    line-height: 15px;
    text-align: center;
    border-radius: 50%;
}

.product-page .product-main-panel .daigou-info-dl-row .panel-box .process li .title {
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 2px;
}

.product-page .product-main-panel .daigou-info-dl-row .panel-box .process li .desc {
    color: #a1a1aa;
}

.product-page .product-main-panel .daigou-info-dl-row .panel-box .note-block {
    color: #a1a1aa;
    line-height: 1.6em;
}

.product-page .product-main-panel .daigou-info-dl-row .panel-box .panel-box-footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: linear-gradient(270deg, #faecdb, #fcf5ea);
    margin: 0 -16px -16px -16px;
    padding: 0 16px;
    height: 36px;
    cursor: pointer;
}

.product-page .product-main-panel .daigou-info-dl-row .panel-box .panel-box-footer .left {
    font-size: 12px;
    height: 100%;
}

.product-page .product-main-panel .daigou-info-dl-row .panel-box .panel-box-footer .left .fa {
    font-size: 14px;
}

.product-page .product-main-panel .daigou-info-dl-row .panel-box .panel-box-footer .left .swiper {
    height: 100%;
}

.product-page .product-main-panel .daigou-info-dl-row .panel-box .panel-box-footer .left .swiper .swiper-slide {
    display: flex;
    align-items: center;
}

.product-page .product-main-panel .daigou-info-dl-row .panel-box .panel-box-footer .right {
    font-size: 16px;
    height: 100%;
}

.product-page .product-main-panel .daigou-info-dl-row .panel-box .panel-box-footer .right img {
    height: 100%;
    margin-right: -32px;
}

.product-page .product-main-panel .attr-dl-row-wrapper {
    overflow-y: auto;
}

.product-page .product-main-panel .attr-dl-row {
    margin-bottom: 10px;
}

.product-page .product-main-panel .attr-dl-row:last-child {
    margin-bottom: 0;
}

.product-page .product-main-panel .attr-dl-row .btn {
    white-space: normal;
    padding-left: 10px;
    padding-right: 10px;
}

.product-page .product-main-panel .attr-dl-row .btn.active {
    color: inherit !important;
    background-color: transparent !important;
    border-color: #ff186b !important;
}

.product-page .product-main-panel .attr-dl-row .btn .thumb {
    width: 25px;
    aspect-ratio: 1;
    object-fit: cover;
}

.product-page .product-main-panel .product-operate-panel {
    margin-bottom: 0;
}

.product-page .product-main-panel .product-operate-panel:not(.fixed-screen) {
    padding-left: 0;
    padding-right: 0;
}

.product-page .product-main-panel .product-operate-panel.fixed-screen {
    position: fixed;
    bottom: 30px;
    box-shadow: 0 4px 16px 0 rgba(0, 0, 0, .2);
    z-index: 100;
}

.product-page .product-main-panel .product-operate-panel .row {
    margin-left: -7px;
    margin-right: -7px;
}

.product-page .product-main-panel .product-operate-panel .row .col {
    padding-left: 7px;
    padding-right: 7px;
}

.product-page .product-detail-block {
}

.product-page .product-detail-block > .nav-tabs {
    padding-left: 15px;
}

.product-page .product-detail-block > .nav-tabs > li {
}

.product-page .product-detail-block > .nav-tabs > li > a {
    font-size: 18px;
}

.product-page .product-detail-block > .nav-tabs > li > a:hover,
.product-page .product-detail-block > .nav-tabs > li.active > a,
.product-page .product-detail-block > .nav-tabs > li.active > a:focus,
.product-page .product-detail-block > .nav-tabs > li.active > a:hover {
    background-color: #fff;
}

.product-page .product-detail-block > .tab-content > .tab-pane {
    padding: 15px 0;
    position: relative;
}

.product-page #daigou-guarantee-list-modal .guarantee-list .media {
    padding: 20px 0;
    border-bottom: 1px solid #e2e2e2;
}

.product-page #daigou-guarantee-list-modal .guarantee-list .media:last-child {
    border-bottom: none;
}

.product-page #daigou-guarantee-list-modal .guarantee-list .media .media-left {
    padding-right: 16px;
}

.product-page #daigou-guarantee-list-modal .guarantee-list .media .media-object {
    width: 60px;
}

.product-page #daigou-guarantee-list-modal .guarantee-list .media .media-heading {
    font-size: 16px;
    font-weight: bold;
}

.cart-page .cart-table {
}

.cart-page .cart-table th,
.cart-page .cart-table td {
    padding: 10px 15px;
}

.cart-page .cart-table thead th,
.cart-page .cart-table thead td {
    text-align: center;
    background-color: #ddd;
}

.cart-page .cart-table tbody .thumb {
    width: 100%;
    margin-top: 10px;
    margin-bottom: 20px;
}

.cart-page .cart-table tbody .name {
    font-size: 16px;
    font-weight: bold;
    line-height: 1.5em;
    word-break: break-all;
    margin-bottom: 10px;
}

.cart-page .cart-table tbody .attribute {
    color: #666;
    line-height: 1.5em;
}

.cart-page .cart-table tbody .price-col,
.cart-page .cart-table tbody .quantity-col {
    width: 25%;
    vertical-align: middle;
    text-align: center;
}

.cart-page .cart-table tbody .price-col .con {
    display: flex;
    justify-content: center;
}

.cart-page .cart-table tbody .price-col .con .le {
    margin-right: 10px;
}

.cart-page .cart-table tbody .quantity-col .con {
    display: flex;
    justify-content: center;
}

.cart-page .cart-table tbody .quantity-col .note {
    line-height: 2em;
}

.cart-page .total-panel {
}

.cart-page .total-panel .quantity-col {
    line-height: 36px;
}

.cart-page .total-panel .price-col {
    line-height: 36px;
    font-size: 18px;
    text-align: right;
}

.cart-page .total-panel .sub-col {
    text-align: right;
}

.cart-page .checkbox-panel {
}

.cart-page .checkbox-panel .address-table .select-col {
    width: 50px;
    text-align: center;
    vertical-align: middle;
}

.cart-page .checkbox-panel .address-table .detail-col {
    line-height: 2em;
}

.order-page .filter-form {
    display: flex;
    align-items: flex-end;
    flex-wrap: wrap;
}

.order-page .filter-form .form-group {
    width: 25%;
    padding-left: 7px;
    padding-right: 7px;
}

.order-page .filter-form .form-group .form-control {
    width: 100%;
}

.nav.nav-human-status {
    margin-bottom: 10px;
}

.nav.nav-human-status li a {
    border-radius: 0;
    border-bottom: 2px solid transparent;
    padding: 10px;
    margin-bottom: 10px;
    background-color: transparent !important;
}

.nav.nav-human-status li:hover a {
    background-color: inherit;
}

.nav.nav-human-status li.active a {
    color: #ff186b;
    font-weight: bold;
    background-color: inherit;
    border-bottom: 2px solid #ff186b;
}

#app .table tr th,
#app .table tr td {
    padding: 10px;
}

#app .table thead tr th,
#app .table thead tr td {
    background-color: #f6f6fb;
    border-bottom: none;
    vertical-align: middle;
}

#app .grey-header-list-table {
}

#app .grey-header-list-table thead tr th,
#app .grey-header-list-table thead tr td {
    text-align: center;
    padding-top: 16px;
    padding-bottom: 16px;
}

#app .grey-header-list-table tbody tr th,
#app .grey-header-list-table tbody tr td {
    text-align: center;
    vertical-align: middle;
}

.order-page .order-list-table .thumb-col img {
    width: 50px;
}

.order-page .order-list-table .product-name-col {
    width: 25%;
}

.order-page .order-table-bottom {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.order-page .order-table-bottom .ri .total {
    display: inline-block;
    vertical-align: top;
    line-height: 34px;
    padding-left: 10px;
    padding-right: 10px;
}

.order-page .order-table-bottom .ri .pagination {
    margin: 0;
}

.address-page {
}

.address-page .opt-col {
    text-align: center;
    width: 90px;
}

.address-page .opt-col div {
    display: flex;
    justify-content: space-between;
}

.shipping-estimate-page .search-form .form-group {
    margin-bottom: 30px;
}

.shipping-estimate-page .fee-table {
}

.shipping-estimate-page .fee-table th,
.shipping-estimate-page .fee-table td {
    text-align: center;
    vertical-align: middle;
    padding-left: 5px;
    padding-right: 5px;
}

.request-create-order-form-page .header-panel-box {
    border-color: transparent;
    background-color: #f5f5f5;
    padding-top: 30px;
    padding-bottom: 30px;
}

.request-create-order-form-page .header-panel-box .page-title {
    margin-bottom: 5px;
}

.request-create-order-form-page .add-form .form-group {
    margin-bottom: 30px;
}

.request-create-order-form-page .add-form .form-group .control-label {
    color: #666;
    padding-top: 12px;
}

.invite-page .module-header {
    position: relative;
}

.invite-page .module-header:after {
    position: absolute;
    left: 0;
    top: 120%;
    content: '';
    height: 6px;
    width: 2.5em;
    border-radius: 3px;
    background-color: #ff186b;
}

.invite-page .share-row {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    margin-left: -10px;
    margin-right: -10px;
}

.invite-page .share-row .share-col {
    padding: 0 10px;
}

.invite-page .social-list {
    margin-left: -10px;
    margin-right: -10px;
}

.invite-page .social-list .col {
    padding: 0 10px;
}

.invite-page .social-list .item {
    position: relative;
    display: flex;
    align-items: center;
    gap: 20px;
    margin-bottom: 20px;
    background: transparent;
    padding: 15px;
}

.invite-page .social-list .item img {
    height: 50px;
}

.invite-page .social-list .item .recommend {
    position: absolute;
    right: 0;
    top: 15px;
    background-color: #ff186b;
    color: #fff;
    padding: 2px 8px;
}

.invite-page .social-list .item .recommend span {
    margin-right: 4px;
}

.invite-page .commission-steps {
    display: flex;
    text-align: center;
    padding: 30px;
    border-radius: 10px;
    background-color: #f5f5f5;
}

.invite-page .commission-steps .step-item {
    flex: 1;
}

.invite-page .commission-steps .step-item .icon {
    width: 60px;
    height: 60px;
    font-size: 30px;
    line-height: 1em;
    padding: 15px;
    border-radius: 20px;
    background-color: #ff186b;
    color: #fff;
    margin: 0 auto 15px auto;
}

.invite-page .commission-steps .step-item .text {
    color: #666;
}

.invite-page .commission-steps .line-item {
    flex: 1;
    margin-top: 15px;
}

.invite-page .commission-steps .line-item .icon {
    text-align: center;
    width: 30px;
    height: 30px;
    font-size: 30px;
    line-height: 1em;
    color: #ff186b;
    margin: 0 auto;
}

.invite-page .my-commission-panel-box {
}

.invite-page .my-commission-panel-box .total-commission {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 30px;
}

.invite-page .my-commission-panel-box .total-commission .title {
    color: #666;
    margin-bottom: 10px;
}

.invite-page .my-commission-panel-box .total-commission .value {
    font-size: 24px;
    font-weight: bold;
}

.invite-page .my-commission-panel-box .total-commission .icon {
    height: 80px;
    transform: rotate(-10deg);
}

.invite-page .my-commission-panel-box .data-row {
    text-align: center;
}

.invite-page .my-commission-panel-box .data-row .item .title {
    color: #666;
    margin-bottom: 6px;
}

.invite-page .my-commission-panel-box .data-row .item .value {
    color: #000;
}

/** 登录页面布局 **/
.auth-layout {
    display: flex;
    flex-wrap: wrap;
    min-height: 100vh;
}

/** 图片栏目 **/
.auth-layout .img-column {
    padding-left: 0;
}

.auth-layout .img-column img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/** 表单栏目 **/
.auth-layout .form-column {
    padding: 150px 10%;
}

.auth-layout .form-column .logo img {
    max-width: 80%;
}

.auth-layout .form-column .inner {
    max-width: 600px;
    margin: 0 auto;
}

.auth-layout .form-column form .form-group {
    margin-bottom: 20px;
}

.user-center-page {
    background-color: #f6f6fb;
}

.user-center-page .card-row {
    display: flex;
    flex-wrap: wrap;
    margin-left: -7px;
    margin-right: -7px;
}

.user-center-page .card-row > .col {
    padding-left: 7px;
    padding-right: 7px;
    padding-bottom: 15px;
}

.user-center-page .card-row > .col .card {
    height: 100%;
    margin-bottom: 0;
}

.user-center-page .panel-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 16px;
    margin-bottom: 20px;
    font-weight: bold;
}

.user-center-page .number-data-list {
    display: flex;
    justify-content: space-between;
    padding: 0 10px;
}

.user-center-page .number-data-item {
    text-align: center;
    margin: 0;
}

.user-center-page .number-data-item dd {
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 4px;
}

.user-center-page .number-data-item dt {
    font-weight: normal;
    color: #888;
    font-size: 12px;
}

.user-center-page .mini-product-list .media-object {
    width: 70px;
    aspect-ratio: 1;
    object-fit: cover;
    border-radius: 10px;
}

.user-center-page .user-info-panel-box {
    overflow: hidden;
}

.user-center-page .user-info-panel-box .head-block {
    position: relative;
    overflow: hidden;
    margin: -20px -20px 20px -20px;
    padding: 20px;
    height: 160px;
}

.user-center-page .user-info-panel-box .head-block:before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: #000000b3;
    z-index: 1;
}

.user-center-page .user-info-panel-box .head-block .bg {
    position: absolute;
    left: -50%;
    top: -50%;
    width: 200%;
    filter: blur(10px);
}

.user-center-page .user-info-panel-box .head-block .content {
    position: relative;
    z-index: 2;
    color: #fff;
    text-align: center;
}

.user-center-page .user-info-panel-box .head-block .content .edit {
    position: absolute;
    right: 0;
    top: 0;
    font-size: 16px;
}

.user-center-page .user-info-panel-box .head-block .content .head {
    width: 70px;
    height: 70px;
    border: 2px solid #ff186b;
    border-radius: 50%;
    margin-bottom: 10px;
}

.user-center-page .user-info-panel-box .head-block .content .truename {
    font-size: 16px;
    font-weight: bold;
}

.user-center-page .user-info-panel-box .head-block .content .number {
    font-size: 12px;
}

.user-center-page .user-info-panel-box .rights-list .media .media-left {
    padding-right: 15px;
}

.user-center-page .user-info-panel-box .rights-list .media .media-object {
    width: 30px;
}

.user-center-page .user-info-panel-box .rights-list .media .media-body .key {
    font-size: 12px;
    color: #888;
    margin-bottom: 4px;
}

.user-center-page .user-info-panel-box .rights-list .media .media-body .value {
    font-weight: bold;
}

.user-center-page .user-info-panel-box .announcement-list {
    padding-left: 30px;
}

.user-center-page .user-info-panel-box .announcement-list li {
    padding: 5px 0;
}

.user-center-page .balance-panel-box {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: relative;
    color: #fff;
    height: 160px !important;
}

.user-center-page .balance-panel-box .bg {
    position: absolute;
    right: 0;
    top: 0;
    width: 100px;
}

@media (min-width: 768px) {
    .shipping-estimate-page .app-page-header-placeholder {
        margin-bottom: 0;
    }
}

@media (min-width: 992px) {
    .app-page-header-hamburg-dropdown-window {
        display: none !important;
    }
}

@media (min-width: 1400px) {
    .container {
        width: 1370px;
    }
}

@media (min-width: 1800px) {
    .container.container-lg {
        width: 1770px;
    }
}

@media (max-width: 1200px) {
}

@media (max-width: 992px) {
    .app-page-header .header-middle {
        gap: 10px;
    }

    .app-page-footer .footer-bottom {
        flex-direction: column-reverse;
        align-items: center;
        gap: 20px;
    }

    .index-page .our-service-process .process {
        flex-direction: column;
    }

    .index-page .our-service-process .process .arrow-item {
        display: none;
    }

    .cart-page .total-panel .quantity-col {
        text-align: right;
    }

    .cart-page .total-panel .price-col {
        margin-bottom: 10px;
    }

    .product-page .product-gallery-block {
        flex-direction: column;
    }

    .product-page .product-gallery-block .big-img-swiper {
        width: 100%;
    }

    .product-page .product-gallery-block .thumb-swiper {
        width: 100%;
        aspect-ratio: unset;
    }

    .product-page .product-gallery-block .thumb-swiper .swiper-slide {
        aspect-ratio: 1;
    }

    .product-page .product-gallery-block-bottom {
        padding-left: 0;
    }
}

@media (max-width: 768px) {
    .app-page-header .header-middle .logo img {
        height: 40px;
    }

    .app-page-header .header-middle .super-search-box {
        width: inherit;
    }

    .app-page-header .header-middle .opt-btns {
        margin-left: 20px;
    }

    .app-page-header-placeholder {
        height: 78px;
    }

    .app-page-header-hamburg-dropdown-window {
        top: 70px;
        height: calc(100% - 70px);
    }

    .index-page .hero-block .main-title {
        font-size: 38px;
    }

    .index-page .hero-block .main-title2 {
        font-size: 18px;
    }

    .index-page .hero-block .recommend a {
        font-size: 12px;
    }

    .index-page .hero-block .process .process-item {
        max-width: none;
        flex: 1;
    }

    .index-page .hero-block .process .process-item .icon {
        font-size: 28px;
    }

    .index-page .hero-block .process .process-item .title {
        font-size: 14px;
    }

    .index-page .hero-block .process .line-item {
        width: 40px;
        margin-left: 10px;
    }

    .index-page .module-header {
        font-size: 28px;
    }

    .product-page .product-panel-box {
        /*padding: 20px;*/
    }

    .cart-page .cart-table tbody .price-col .con {
        flex-direction: column;
    }

    .cart-page .cart-table tbody .price-col .con .le {
        margin-right: 0;
    }

    .cart-page .cart-table tbody .quantity-col .con {
        flex-direction: column;
    }

    .cart-page .cart-table .number-input-group {
        width: 80px;
    }

    .cart-page .cart-table .number-input-group .input-group-addon {
        display: none;
    }

    .cart-page .total-panel .quantity-col {
        text-align: center;
    }

    .cart-page .total-panel .price-col,
    .cart-page .total-panel .sub-col {
        text-align: center;
    }

    .order-page .filter-form .form-group {
        width: 50%;
    }

    .order-page .order-list-table .sn-col {
        width: 70px;
    }

    .order-page .order-list-table .sn-col .text {
        display: inline-block;
        width: 70px;
        word-break: break-all;
    }

    .order-page .order-table-bottom .le,
    .order-page .order-table-bottom .ri {
        width: 100%;
    }

    .order-page .order-table-bottom .ri {
        text-align: center;
        margin-top: 20px;
    }

    .address-page .name-col {
        width: 80px;
    }

    .address-page .opt-col {
        width: 50px;
    }

    .address-page .opt-col div {
        flex-direction: column;
        line-height: 2em;
    }

    .search-page .left-filter-panel-box .header .down {
        display: block;
    }

    .search-page .left-filter-panel-box .list {
        display: none;
    }

    .auth-layout .form-column .auth-title {
        text-align: center;
    }
}
